Results 1 to 10 of 10

Thread: Tumbleweed install php5 and modules

  1. #1

    Default Tumbleweed install php5 and modules

    Hello, please could somebody help how to install php5 on the OpenSuSe Tumbleweed. php7 is not supported for my site.
    which repository should I add to system?

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    23,952

    Default Re: Tumbleweed install php5 and modules

    Last edited by hcvv; 08-Jan-2019 at 08:25.
    Henk van Velden

  3. #3
    Join Date
    Sep 2012
    Posts
    4,734

    Default Re: Tumbleweed install php5 and modules

    Quote Originally Posted by hcvv View Post
    It lies. When searching for php5 it returns repository that contains only php7. If you know where php5 is available, why not just post link here?

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    23,952

    Default Re: Tumbleweed install php5 and modules

    Quote Originally Posted by arvidjaar View Post
    It lies. When searching for php5 it returns repository that contains only php7. If you know where php5 is available, why not just post link here?
    I wondered if the OP knew the next step (after one sees that it is not on the standard repos) to take in the searching process.

    I did a short try myself and got entries that I thought would answer the OPs whish. I did not investigate further to check if there is any "lying" there (why should I), but took it as for what I read.

    So, as far as I thought, I was
    1. provioding a rather direct link to what was searched for;
    2. as an extra showing how to use the openSUSE software search site for the future.


    And no, I do not know another, not lying, link to a PHP5 repo.
    Henk van Velden

  5. #5
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    18,918
    Blog Entries
    14

    Default Re: Tumbleweed install php5 and modules

    http://download.opensuse.org/reposit...nguages:/php:/

    Pick the version you want. But IMHO you should update your website software.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  6. #6

    Default Re: Tumbleweed install php5 and modules

    Quote Originally Posted by Knurpht View Post
    http://download.opensuse.org/reposit...nguages:/php:/

    Pick the version you want. But IMHO you should update your website software.
    Thank you for help. But there are only repos for php 5.6 and Leap. Not for tumbleweed. I've tried to add following repo http://download.opensuse.org/reposit...USE_Leap_42.3/
    and when install php modules php5-mcrypt catched error
    Code:
    Problem: nothing provides libmcrypt.so.4()(64bit) needed by php5-mcrypt-5.6.39-1.3.x86_64
     Solution 1: do not install php5-mcrypt-5.6.39-1.3.x86_64
     Solution 2: break php5-mcrypt-5.6.39-1.3.x86_64 by ignoring some of its dependencies
    so looks like version of leap repo mismatch.

  7. #7
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    18,918
    Blog Entries
    14

    Default Re: Tumbleweed install php5 and modules

    Quote Originally Posted by ipvinner View Post
    Thank you for help. But there are only repos for php 5.6 and Leap. Not for tumbleweed. I've tried to add following repo http://download.opensuse.org/reposit...USE_Leap_42.3/
    and when install php modules php5-mcrypt catched error
    Code:
    Problem: nothing provides libmcrypt.so.4()(64bit) needed by php5-mcrypt-5.6.39-1.3.x86_64
     Solution 1: do not install php5-mcrypt-5.6.39-1.3.x86_64
     Solution 2: break php5-mcrypt-5.6.39-1.3.x86_64 by ignoring some of its dependencies
    so looks like version of leap repo mismatch.
    Never ever mix repos of various openSUSE versions, this may seriously bork your system.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  8. #8

    Default Re: Tumbleweed install php5 and modules

    Quote Originally Posted by Knurpht View Post
    Never ever mix repos of various openSUSE versions, this may seriously bork your system.
    Ok, how to install php5 on tumbleweed if there are not php5 repo for that? only way is compile from source?

  9. #9
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    18,918
    Blog Entries
    14

    Default Re: Tumbleweed install php5 and modules

    Quote Originally Posted by ipvinner View Post
    Ok, how to install php5 on tumbleweed if there are not php5 repo for that? only way is compile from source?
    You could, at own risk, try that, or try one of the home: repos. But, like said, you will need to upgrade your website anyway from using php5 to using php7. Of run in off a VM with some older LTS linux version that does serve and maintain php5.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  10. #10
    Join Date
    Jun 2008
    Location
    Belleville, Ontario, Canada
    Posts
    412

    Default Re: Tumbleweed install php5 and modules

    "Making rich people richer doesn't make the rest of us richer."
    Ha-Joon Chang

    openSUSE 15.0 x64 KDE 20170319-lp150.7.1
    Linux Counter #140934

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •